• Resolved Annekee

    (@annekee)


    Can you solve this?

    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 46
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 50
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 52
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 56
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 72
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 114
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 118
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 119
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 120
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 121
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_StoreSchema.php on line 122
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 40
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 44
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 77
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 81
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 82
    
    Deprecated: Using ${var} in strings is deprecated, use {$var} instead in /Applications/MAMP/htdocs/urchinnew/wp-content/plugins/wp-mail-smtp/vendor/woocommerce/action-scheduler/classes/schema/ActionScheduler_LoggerSchema.php on line 83
Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Support Dake

    (@dakeg)

    Hi @annekee

    Thank you for reaching out and we apologise for the confusion.

    You can safely ignore those PHP notices coming from the vendor libraries because WP Mail SMTP doesn’t use them.

    We have tested WP Mail SMTP fully, and there are no fatal errors, it is functioning as expected, so despite those notices, it is compatible with PHP v8.0.x.

    I hope this helps 🙂

    Thread Starter Annekee

    (@annekee)

    Well, it doesn’t help and it’s rather annoying to constantly get these errors when debugging… Anyway thank you for your fast reply Dake!

    Plugin Support Dake

    (@dakeg)

    Hi @annekee

    You’re welcome. We totally understand and we apologize for the inconvenience.

    Rightfully there shouldn’t be any PHP notices from our plugin on PHP 8.x.x. However, the notices stem from our backward compatibility (specifically PHP 5.6).

    Our developers are aware of this are considering the best next step.

    Thread Starter Annekee

    (@annekee)

    That’s good news and very much appreciated!

    pikamander2

    (@pikamander2)

    @dakeg

    Just chiming in to say that we noticed the same issue on our site and are looking forward to a fix.

    We’re aware that the deprecation warnings aren’t breaking our site, but they are still flooding our error log and could potentially break the site in a future version of PHP like PHP 9.0.

    Aside from that, I’m a bit confused by the mention of backwards compatibility. I’m not super experienced in that area, but a quick test on onlinephp.io seems to suggest that the {$var} syntax works fine in both PHP 8.2.1 and PHP 5.6.0. If that’s the case, I would think that you could just bulk replace the syntax in that file to eliminate the deprecation warnings without causing any backwards compatibility issues.

    Plugin Support Dake

    (@dakeg)

    Hi @pikamander2

    Thank you for sharing your feedback and concerns.

    When we mention backward compatibility, it has more to do with WP Mail SMTP as a whole being backward compatible with websites running older versions of PHP.

    While we apologize for the inconvenience in regards to your error logs being flooeded, please note that we ensure to thoroughly test WP Mail SMTP before rolling out updates, as well as when upcoming PHP/WordPress etc updates are approaching. This way if any fatal errors are detected, we’ll be sure to resolve them before the actual release.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Lots of depecrated in PHP 8.2.0’ is closed to new replies.